Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SessionInfoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SessionInfo`, `ClientWireProtocol.SessionInfo.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.SessionInfoOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.SecurityToken`
`getSecurityToken()`
The security token associated with this session
`ClientWireProtocol.SecurityTokenOrBuilder`
`getSecurityTokenOrBuilder()`
The security token associated with this session
`String`
`getServerSessionId()`
The server side identifier for this session.
`ByteString`
`getServerSessionIdBytes()`
The server side identifier for this session.
`boolean`
`hasSecurityToken()`
The security token associated with this session

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getServerSessionId

String getServerSessionId()

     The server side identifier for this session.

`string serverSessionId = 1;`

Returns:
  The serverSessionId.

### getServerSessionIdBytes

ByteString getServerSessionIdBytes()

     The server side identifier for this session.

`string serverSessionId = 1;`

Returns:
  The bytes for serverSessionId.

### hasSecurityToken

boolean hasSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`

Returns:
  Whether the securityToken field is set.

### getSecurityToken

ClientWireProtocol.SecurityToken getSecurityToken()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`

Returns:
  The securityToken.

### getSecurityTokenOrBuilder

ClientWireProtocol.SecurityTokenOrBuilder getSecurityTokenOrBuilder()

     The security token associated with this session

`.xg.cmdcomp.SecurityToken securityToken = 2;`